
///////////////////////////////////////////////////////////////////////
// Module       : TP CORBA 1999
// Composant    : calcul_Impl.java
// Creation     : 09/03/1999
//
// Commentaires : Cette classe constitue l'implantation de 
//                l'interface "calcul" (voir tpcorba.idl)
// MOD1         :
///////////////////////////////////////////////////////////////////////
// $Id: calcul_Impl.java,v 1.1 1999/03/12 14:24:42 singhoff Exp singhoff $
///////////////////////////////////////////////////////////////////////


package tpcorba;

import org.omg.CORBA.*;
import java.lang.*;

public class calcul_Impl extends _calculImplBase
	{


	private	double contenu;


	public calcul_Impl()
		{
		contenu=0;
		}


	public double memoire()
		{
		return contenu;
		}



	***
	***
	***


	public void diviseMemoire(*** valeur) 
		throws divisionParZero
		{
		if(valeur==0)
			throw new divisionParZero();

		contenu=contenu/valeur;
		}


        public void calcule_racine(IntHolder valeur)
                {
                System.out.println("Invocation de calcule_racine()");

                valeur.value=(int)Math.sqrt(valeur.value);
                }


	public void calcule_carre(IntHolder valeur)
		{
		System.out.println("Invocation de calcule_carre()");

		valeur.value=valeur.value*valeur.value;
		}



	}
